Subject: Sorry I missed your call!
From: "Michael B" <[email-masked]>
To: "Joe Derose" <[email-masked]>
Date: Wed, 27 May 2015 16:53:32 -0400

Hello Joe.
Sorry I missed your call.  I was in production and couldn't get any calls.  I called the number but the phone just rang and there was no voicemail that picked up.  I spoke to my son-in-law and he will be back in town on Thursday evening.  I may just take my daughter over tomorrow and just transfer it into her name.  My son-in-law said he will arrange to have the insurance taken care of on his end.  I will try and catch up to you tomorrow.
Thank you,
Michael B